Payout Idempotency
Make a Request Idempotent
Make a Request Idempotent using API.
POST
Available in🇮🇳 India🇺🇸 United States
To make a request idempotent, add the header X-Payout-Idempotency to the request and pass an idempotency key against it. Currently, idempotency is supported only on the Create Payout API and the Composite APIs.
Points to Consider:
- An idempotency key is a unique value generated by you. Our servers use this key to recognise subsequent retries of the same request.
- The idempotency key (4-36 characters) can only contain alphabets, numbers, hyphens, underscores and space. For example,
53cda91c-8f81-4e77-bbb9-7388f4ac6bf4is an idempotency key. - When retrying a request, the request body must be the same as the first request for idempotency to work. A different payload will be rejected as a
BAD_REQUEST. - The idempotency key in retries must be the same as the original request.
- Use unique idempotency keys for each unique request.
Request Parameters
string
required
The account from which you want to make the payout. For example,
7878780080316316.- Pass your customer identifier if you want money to be deducted from RazorpayX Lite.
- Pass your Current Account number if you want money to be deducted from your Current Account.
string
required
The unique identifier linked to a fund account. For example,
fa_00000000000001.integer
required
The payout amount, in paise. For example, pass
The value passed here does not include fees and tax. Fees and tax, if any, are deducted from your account balance.
1000000 to transfer an amount of ₹10,000. Minimum value 100. The value passed here does not include fees and tax. Fees and tax, if any, are deducted from your account balance.
string
required
The payout currency. Here, it is
INR.string
required
The mode to be used to create the payout. Available modes:
NEFTRTGSIMPScard
string
required
The purpose of the payout that is being created. The following classifications are available in the system by default:
refundcashbackpayoutsalaryutility billvendor bill
boolean
Possible values:
true: The payout is queued when your business account does not have sufficient balance to process the payout.false(default): The payout is never queued. The payout fails if your business account does not have sufficient balance to process the payout.
string
A user-generated reference given to the payout. Maximum length is 40 characters. For example,
Acme Transaction ID 12345. You can use this field to store your own transaction ID, if any.string
Custom note that also appears on the bank statement. Maximum length 30 characters. Allowed characters: a-z, A-Z, 0-9 and space.
If no value is passed for this parameter, it defaults to the Merchant Billing Label. Ensure that the most important text forms the first 9 characters as banks may truncate the rest as per their standards.
If no value is passed for this parameter, it defaults to the Merchant Billing Label. Ensure that the most important text forms the first 9 characters as banks may truncate the rest as per their standards.
array of objects
Multiple key-value pairs that can be used to store additional information about the entity. Maximum 15 key-value pairs, 256 characters (maximum) each. For example,
"note_key": "Beam me up Scotty”.Response Parameters
string
The unique identifier of the order. For example,
pout_00000000000001.string
The entity being created. Here, it will be
payout.string
The unique identifier linked to the fund account. For example,
fa_00000000000001.integer
The payout amount, in paise. For example, if you want to transfer ₹10,000, pass
1000000. Minimum value 100. The value passed here does not include fees and tax. Fees and tax, if any, are deducted from your account balance.string
The payout’s currency. Here, it is
INR.array of objects
Key-value pair that can be used to store additional information about the entity. Maximum 15 key-value pairs, 256 characters (maximum) each. For example,
"note_key": "Beam me up Scotty”.integer
The fees for the payout. This value is returned only when the payout moves to the
processing state. For example, 5.integer
The tax applicable for the fee being charged. This value is returned only when the payout moves to the
processing state. For example, 1.string
The status of the payout. Possible payout states:
queuedpending(if you have Approval Workflow enabled)rejected(if you have Approval Workflow enabled)processingprocessedcancelledreversedfailed
string
The unique transaction number linked to a payout. For example,
HDFCN00000000001.string
The mode used to make the payout. Available modes:
NEFTRTGSIMPScard
string
The purpose of the payout that is being created. The following classifications are available in the system by default:
refundcashbackpayoutsalaryutility billvendor bill
string
A user-generated reference given to the payout. Maximum length is 40 characters. For example,
Acme Transaction ID 12345. You can use this field to store your own transaction ID, if any.string
This is a custom note that also appears on the bank statement. Maximum length 30 characters. Allowed characters: a-z, A-Z, 0-9 and space.
If no value is passed for this parameter, it defaults to the Merchant Billing Label. Ensure that the most important text forms the first 9 characters as banks may truncate the rest as per their standards.
If no value is passed for this parameter, it defaults to the Merchant Billing Label. Ensure that the most important text forms the first 9 characters as banks may truncate the rest as per their standards.
string
This value is returned if the Contact was created as part of a bulk upload. For example,
batch_00000000000001.object
This parameter returns the current status of the payout. For example,
IMPS is not enabled on beneficiary account, Retry with different mode.string
A description for the error. For example,
IMPS is not enabled on beneficiary account, please retry with different mode.string
Possible values:
gateway: Technical error at Razorpay Partner bank.beneficiary_bank: Technical error at beneficiary bank.business: Merchant action required.internal: Technical error at Razorpay’s server.
string
The error reason. For example,
imps_not_allowed. Payout Status Details and Next Steps.integer
Indicates the Unix timestamp when this order was created.
string
Indicates the fee type charged for the payout. Possible values is
free_payout.Errors
Idempotency key is missing. Include idempotency header and key in the request.
Idempotency key is missing. Include idempotency header and key in the request.
Code:
400Idempotency key is mandatory.Solution: Include the X-Payout-Idempotency header and the idempotency key in your request to make a successful payout. Generate a key using the version 4 (random) UUID generator.